package com.unis.module.coding.service.lqjcxx;

import com.unis.framework.common.pojo.PageResult;
import com.unis.module.coding.controller.admin.lqjcxx.vo.LqjcxxPageReqVO;
import com.unis.module.coding.controller.admin.lqjcxx.vo.LqjcxxSaveReqVO;
import com.unis.module.coding.dal.dataobject.lqjcxx.LqjcxxDO;

import java.util.*;
import javax.validation.*;

/**
 * 粮情检测信息 Service 接口
 *
 * @author 超级管理员
 */
public interface LqjcxxService {

    /**
     * 创建粮情检测信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLqjcxx(@Valid LqjcxxSaveReqVO createReqVO);

    /**
     * 更新粮情检测信息
     *
     * @param updateReqVO 更新信息
     */
    void updateLqjcxx(@Valid LqjcxxSaveReqVO updateReqVO);

    /**
     * 删除粮情检测信息
     *
     * @param id 编号
     */
    void deleteLqjcxx(Long id);

    /**
     * 获得粮情检测信息
     *
     * @param id 编号
     * @return 粮情检测信息
     */
    LqjcxxDO getLqjcxx(Long id);

    /**
     * 获得粮情检测信息分页
     *
     * @param pageReqVO 分页查询
     * @return 粮情检测信息分页
     */
    PageResult<LqjcxxDO> getLqjcxxPage(LqjcxxPageReqVO pageReqVO);

    LqjcxxDO getLqjcxxByCfId(Long cfId);
}